<?php 

// ini_set( 'display_errors', 1 );
if (isset($_POST['nombre'])) {
	$asunto = $_POST['asunto'];
	$nombre = $_POST['nombre'];
	$apellidos = $_POST['apellidos'];
	$empresa = $_POST['empresa'];
	$correo = $_POST['correo'];
	$numero = $_POST['numero'];
	$comentarios = $_POST['comentarios'];

	// Realizamos la petición de control: 
	$recaptcha_url = 'https://www.google.com/recaptcha/api/siteverify'; 
	$recaptcha_secret = '6LcCmZ8UAAAAAE1Jzojch6baCHm_7UWGxVZMkgiL';
	$recaptchaGet = file_get_contents($recaptcha_url . '?secret=' . $recaptcha_secret . '&response=' . $recaptcha_response); 
	$recaptcha = json_decode($recaptchaGet,true);
	// Miramos si se considera humano o robot: 
	// echo json_encode($recaptcha);
	// if ($recaptcha['success'] == true) {
	// 	if($recaptcha['score'] >= 0.1){
			//enviamos el correo
				enviarCorreo($asunto,$nombre,$apellidos,$empresa,$correo,$numero,$comentarios);
	// 	}else{

	// 	controlError(false,"No hemos podido descubrir que eres un humano, por favor recarga la Página");
	// 	}

	// }else{
	// controlError(false,"Captcha repetido o invalido, favor de recargar la Página.");

	// }
}
function enviarCorreo($asunto,$nombre,$apellidos,$empresa,$correo,$numero,$comentarios){
    $to = "marketing@rake.mx";
    $subject = "CONTACTO WEB";
    $cabeceras  = 'MIME-Version: 1.0' . "\r\n";
    $cabeceras .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";   
    $cabeceras .= 'From: Rake MX<web@rake.mx>' . "\r\n"; 

    $path = '../shared/plantillas/contactoPlantilla.html';
    if(file_exists($path)){
        $tpl = file_get_contents($path);
	}
	$body = str_replace('{{nombre}}', $nombre, $tpl);
    $body = str_replace('{{apellidos}}', $apellidos, $body);
	$body = str_replace('{{asunto}}', $asunto, $body);
    $body = str_replace('{{correo}}', $correo, $body);
    $body = str_replace('{{empresa}}', $empresa, $body);	
    $body = str_replace('{{numero}}', $numero, $body);
    $body = str_replace('{{comentarios}}', $comentarios, $body);
    if(!mail($to,$subject,$body, $cabeceras)){
    	controlError(false,"No se pudo enviar el email al administrador :( .");
    }else{
        controlError(succes,"La demanda de contacto ha sido enviada exitosamente .");
    }
    

}

function controlError($succes,$mensaje) {
	$response = array('success'=>$succes,'mensaje'=>$mensaje);
	echo json_encode($response);
}

 ?>